#####################################################################
#                                                                   #
# This file is not intended to be used on its own it is             #
# Intended to be sourced in build-darkmod.sh and clean-darkmod.sh   #
#                                                                   #
#####################################################################

# Theme name 
THEME_NAME=Extra-Dark-Green
THEME_DESC="A theme for enlightenment"


# Path to enlightenment theme if running from the theme dir . is fine
ELM_ENLIGHT_THEME_PATH=enlightenment-elementary

# Path to terminology directory leave blank to not change the theme
TERMINOLOGY_THEME_PATH=terminology

ELM_ENLIGHT_LICENSE="-l COPYING -l licenses-authors/COPYING.bsd -l licenses-authors/COPYING.images -l licenses-authors/COPYING.lgpl"
ELM_ENLIGHT_AUTHORS="-a licenses-authors/AUTHORS -a licenses-authors/AUTHORS.elementary -a licenses-authors/AUTHORS.enlightenment"


TERMINOLOGY_LICENSE="-l COPYING -l licenses-authors/COPYING.terminology"
TERMINOLOGY_AUTHORS="-a licenses-authors/AUTHORS -a licenses-authors/AUTHORS.terminology"


# Manual Image Directory, place images that you have modified in this directory
# this way they won't get overwritten by the script and will be included
MANUAL_IMAGE_DIR=img-manual

# Change the Highlight/blue color
# http://www.imagemagick.org/script/command-line-options.php#modulate
#
# convert -modulate $HIGH_BRIGHTNESS $HIGH_SATURATION $HIGH_HUE
#
# $HIGH_BRIGHTNESS 100 leave as is, 0 black 50 half bright 200 twice as bright
# $HIGH_SATURATION 0 grey scale, 200 very colorful
# $HIGH_HUE Rotates color in the image, 300 will keep image as it is
#    50 will rotate a color by 90 ie red to purple You will probably want to read
#    the full doco or trial and error here
#
HIGH_BRIGHTNESS=70
HIGH_SATURATION=140
HIGH_HUE=45

# Change the background gradients
# http://www.imagemagick.org/script/command-line-options.php#brightness-contrastX
#
# convert -brightness-contrast $BGND_BRIGHTNESS{x$BGND_CONTRAST}{%}}
#
# $BGND_BRIGHTNESS - relative brightness adjustment 0 does nothing range -100 to 100
# $BGND_SATURATION - relative saturation adjustment 0 does nothing range -100 to 100
BGND_BRIGHTNESS=-20
BGND_SATURATION=10

# Change the shadows alpha (more alpha means less shadows)
# convert in.png -channel A -evaluate Multiply $SHADOW_MULT out.png
#
# $SHADOW_MULT - 1 for no change, numbers less then 1 will make shadows lighter greater
#    then 1 will make them darker
SHADOW_MULT=1


# Filemanger Background - default #404040
FILEMGR_BKND_HTML="#161616"
# Automatically convert to RGB
FILEMGR_BKND_RGB=$(printf '%d %d %d\n' 0x${FILEMGR_BKND_HTML:1:2} 0x${FILEMGR_BKND_HTML:3:2} 0x${FILEMGR_BKND_HTML:5:2})

# Filemanger Alt Background - default #383838
FILEMGR_ALT_BKND_HTML="#282828"
# Automatically convert to RGB
FILEMGR_ALT_BKND_RGB=$(printf '%d %d %d\n' 0x${FILEMGR_ALT_BKND_HTML:1:2} 0x${FILEMGR_ALT_BKND_HTML:3:2} 0x${FILEMGR_ALT_BKND_HTML:5:2})

# Filemanger Image Background - default #303030
FILEMGR_IMG_BKND_HTML="#242424"
# Automatically convert to RGB
FILEMGR_IMG_BKND_RGB=$(printf '%d %d %d\n' 0x${FILEMGR_IMG_BKND_HTML:1:2} 0x${FILEMGR_IMG_BKND_HTML:3:2} 0x${FILEMGR_IMG_BKND_HTML:5:2})

# yet another grey, apparently used in older parts of the pager
# Filemanger Image Background - default #323232
FILEMGR_MID_GREY_HTML="#222222"
# Automatically convert to RGB
FILEMGR_MID_GREY_RGB=$(printf '%d %d %d\n' 0x${FILEMGR_MID_GREY_HTML:1:2} 0x${FILEMGR_MID_GREY_HTML:3:2} 0x${FILEMGR_MID_GREY_HTML:5:2})


# Default font color #FFFFFF
FNT_DEFAULT_HTML=#FFFFFF
FNT_DEFAULT_RGB=$(printf '%d %d %d' 0x${FNT_DEFAULT_HTML:1:2} 0x${FNT_DEFAULT_HTML:3:2} 0x${FNT_DEFAULT_HTML:5:2})

# Default text shadow colors - Default #00000080
FNT_DEFAULT_SHADOW_HTML=#00000080
FNT_DEFAULT_SHADOW_RGB=$(printf '%d %d %d %d' 0x${FNT_DEFAULT_SHADOW_HTML:1:2} 0x${FNT_DEFAULT_SHADOW_HTML:3:2} 0x${FNT_DEFAULT_SHADOW_HTML:5:2} 0x${FNT_DEFAULT_SHADOW_HTML:7:2})

# Disabled Text Color #151515 default
FNT_DISABLED_HTML=#606060
FNT_DISABLED_RGB=$(printf '%d %d %d' 0x${FNT_DISABLED_HTML:1:2} 0x${FNT_DISABLED_HTML:3:2} 0x${FNT_DISABLED_HTML:5:2})

# Disbled text shadow colors - Default #00000080
FNT_DISABLED_SHADOW_HTML=#00000080
FNT_DISABLED_SHADOW_RGB=$(printf '%d %d %d %d' 0x${FNT_DISABLED_SHADOW_HTML:1:2} 0x${FNT_DISABLED_SHADOW_HTML:3:2} 0x${FNT_DISABLED_SHADOW_HTML:5:2} 0x${FNT_DISABLED_SHADOW_HTML:7:2})


# various greys used in elm C0 AC 98
FNT_GREY_192_HTML=#C0C0C0
FNT_GREY_192_RGB=$(printf '%d %d %d' 0x${FNT_GREY_192_HTML:1:2} 0x${FNT_GREY_192_HTML:3:2} 0x${FNT_GREY_192_HTML:5:2})
FNT_GREY_172_HTML=#ACACAC
FNT_GREY_172_RGB=$(printf '%d %d %d' 0x${FNT_GREY_172_HTML:1:2} 0x${FNT_GREY_172_HTML:3:2} 0x${FNT_GREY_172_HTML:5:2})
FNT_GREY_152_HTML=#989898
FNT_GREY_152_RGB=$(printf '%d %d %d' 0x${FNT_GREY_152_HTML:1:2} 0x${FNT_GREY_152_HTML:3:2} 0x${FNT_GREY_152_HTML:5:2})

#default value is 32 32 32
TERMINOLOGY_BACKGROUND="32 32 32"
